Resize a PTY session
curl --request POST \
--url https://{identifier}.sandbox.tensorlake.ai/api/v1/pty/{session_id}/resize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": 123,
"cols": 123
}
'import requests
url = "https://{identifier}.sandbox.tensorlake.ai/api/v1/pty/{session_id}/resize"
payload = {
"rows": 123,
"cols": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rows: 123, cols: 123})
};
fetch('https://{identifier}.sandbox.tensorlake.ai/api/v1/pty/{session_id}/resize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}PTY Sessions
Resize PTY Session
Resize the terminal dimensions for a PTY session.
POST
/
api
/
v1
/
pty
/
{session_id}
/
resize
Resize a PTY session
Resize a PTY session.
Tensorlake clamps
Endpoint
POST /api/v1/pty/{session_id}/resize
Example Request
curl -X POST https://<sandbox-id>.sandbox.tensorlake.ai/api/v1/pty/<session-id>/resize \
-H "Authorization: Bearer $TENSORLAKE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"rows": 40, "cols": 120}'
Request Body
{
"rows": 40,
"cols": 120
}
rows to 1..500 and cols to 1..1000.
Response
Tensorlake returns204 No Content when the resize is applied.
If the session does not exist, Tensorlake returns 404 Not Found.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The PTY session identifier.
Response
PTY session resized
Was this page helpful?
⌘I